summaryrefslogtreecommitdiffstats
path: root/base/root/scripts
diff options
context:
space:
mode:
authorMartin Schwenke <martin@meltin.net>2008-09-17 21:03:46 +1000
committerMartin Schwenke <martin@meltin.net>2008-09-17 21:03:46 +1000
commit2fe32255f3543d5b56a065bddd517ce0ac9fdc0d (patch)
treebbc7cd4cad3e68cc6122aa9360ff67a4267a957e /base/root/scripts
parentcbf4e99ae2e08cc43fd780f9d6fc05ec36211ac2 (diff)
New base script template /root/scripts/postinstall.sh replaces
/root/postinstall.sh. This has also been removed from the 1.5 kickstart template and gets substituted in via new config option KICKSTART_TEMPLATE, which should be set to /dev/null if none of the fancy kickstart post-install magic is required. chkconfig and start of ntpd moved to setup_samba.sh. Also added chkconfig for ctdb there. Added to default value of EXTRA_PACKAGES: openldap-devel, -scsi-target-utils, -xorg-x11-drivers, -xorg-x11-server-Xorg. New yum repo templates: SoFS-1.5.1.repo, SoFS-1.6.repo, SoFS-daily.repo. Updated SoFS-1.5.repo to use SoFS-1.5-Stable and removed SoFS-daily from it. made kickstart-1.5.cfg as consistent as possible with the official SoFS version... and duplicated it to kickstart-1.5.1.cfg. Signed-off-by: Martin Schwenke <martin@meltin.net>
Diffstat (limited to 'base/root/scripts')
-rw-r--r--base/root/scripts/conf.base6
-rw-r--r--base/root/scripts/postinstall.sh68
-rwxr-xr-xbase/root/scripts/setup_samba.sh13
3 files changed, 78 insertions, 9 deletions
diff --git a/base/root/scripts/conf.base b/base/root/scripts/conf.base
index 1a7942f..c9121d5 100644
--- a/base/root/scripts/conf.base
+++ b/base/root/scripts/conf.base
@@ -462,8 +462,10 @@
logfacility=LOG_USER
[/etc/httpd/conf.d/shares.config]
- RewriteRule "^/data(.*)$" "/gpfs/data$1" [PT]
- ScriptAliasMatch "^/gpfs/data" "/var/www/cgi-bin/browse.cgi"
+ ScriptAlias "/gpfs/data" "/var/www/cgi-bin/browse.cgi"
+ RewriteRule ^/data(.*)$ "/gpfs/data$1" [R]
+
+
[/etc/vsftpd/vsftpd.conf]
# no anon access
diff --git a/base/root/scripts/postinstall.sh b/base/root/scripts/postinstall.sh
new file mode 100644
index 0000000..51dec67
--- /dev/null
+++ b/base/root/scripts/postinstall.sh
@@ -0,0 +1,68 @@
+#!/bin/bash
+
+echo "setting up SoFS repos"
+
+cat << EOF > /etc/yum.repos.d/SOFS.repo
+@@YUM_REPOS@@
+EOF
+
+
+# install the SoFS packages via a proxy on the host
+[ "@@WEBPROXY@@" = "" ] || {
+ http_proxy=@@WEBPROXY@@
+ export http_proxy
+}
+
+echo "Using web proxy: \$http_proxy"
+
+# force up the network, as kickstart may not have started it
+/sbin/ifconfig eth0 @@IPBASE@@.0.@@FIRSTIP@@ up
+/sbin/route add default gw @@GATEWAY@@
+/sbin/ifconfig -a
+/sbin/route -n
+
+
+cat << EOF > /etc/resolv.conf
+domain @@DOMAIN@@
+search @@DNSSEARCH@@
+nameserver @@NAMESERVER@@
+EOF
+
+echo "Updating from SoFS repositories"
+yum -y update
+
+echo "Trying install of scsi-target-utils"
+yum -y install scsi-target-utils
+
+# we have to force the base GPFS package first, due to the way gpfs updates work
+echo "Installing GPFS base"
+yum -y install gpfs.base-3.2.0-0.x86_64
+
+# then update it
+
+echo "Updating GPFS base"
+yum -y update
+
+echo "Installing SoFS packages"
+yum -y install sofs-base sofs-toolset sofs-gpfs-gui sofs-stats-gui sofs-wizards sofs-space-gui sofs-common
+
+echo "Installing ctdb packages"
+yum -y install ctdb ctdb-debuginfo
+
+echo "Installing samba packages"
+yum -y install samba samba-debuginfo samba-client samba-doc samba-winbind-32bit
+
+echo "Installing remaining GPFS packages"
+yum -y install gpfs.src gpfs.msg gpfs.docs gpfs.gpl gpfs.msg.en_US
+
+echo "Installing SMutil"
+yum -y install SMutil
+
+echo "Installing ipvsadm"
+yum -y install ipvsadm
+
+echo "Rebuilding the GPFS modules"
+(cd /usr/lpp/mmfs/src && make Autoconfig World InstallImages)
+
+# the TSM packages cause trouble with auto-install
+# yum -y install TIVsm-API TIVsm-HSM TIVsm-BA
diff --git a/base/root/scripts/setup_samba.sh b/base/root/scripts/setup_samba.sh
index 44e97e5..dc3855c 100755
--- a/base/root/scripts/setup_samba.sh
+++ b/base/root/scripts/setup_samba.sh
@@ -54,6 +54,10 @@ while true ; do
esac
done
+echo "Enabling NTP and ensuring it is started"
+run_onnode all chkconfig ntpd on
+run_onnode all service ntpd restart
+
mmgetstate | grep active > /dev/null || {
echo "GPFS must be running to setup Samba"
exit 1
@@ -67,7 +71,8 @@ cat <<EOF > /etc/samba/smb.conf
clustering = yes
EOF
-echo "Restarting ctdb"
+echo "Enabling and restarting ctdb"
+run_onnode all chkconfig ctdb on
run_onnode all "service ctdb restart > /dev/null"
echo "Waiting for ctdb to enter normal mode"
@@ -85,12 +90,6 @@ sofs conf restore "$conf_file"
echo "Forcing config reload"
sofs conf reload
-echo "Fixing scp and ftp jails"
-onnode -p all /opt/IBM/sofs/scripts/cnjailgen /var/opt/IBM/sofs/scproot
-onnode -p all /opt/IBM/sofs/scripts/cnjailgen /var/opt/IBM/sofs/ftproot
-ln -f /lib64/libnss_winbind* /var/opt/IBM/sofs/scproot/lib64/
-ln -f /lib64/libnss_winbind* /var/opt/IBM/sofs/ftproot/lib64/
-
echo "Joining domain"
net ads join -U"$domain_auth"